#
# spec file for package POS_Image-JeOS7
#
# Copyright (c) 2020 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           POS_Image-JeOS7
Version:        0.1.1620138994.d7f39a0
Release:        1.18.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         POS_Image-JeOS7-%{version}.tar.xz
Summary:        SALT-based JeOS image
Url:            https://github.com/SUSE/manager-build-profiles/tree/master/OSImage
License:        GPL-2.0
Group:          System/Packages
BuildArch:      noarch
BuildRequires:  python3-kiwi

%description
Configuraton for SALT-based JeOS image.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/usr/share/kiwi/image
cp -pR jeos-7.0.0 %{buildroot}/usr/share/kiwi/image

%files
%defattr(-,root,root,-)
%dir /usr/share/kiwi
/usr/share/kiwi/image

%changelog
* Wed Apr 14 2021 nadvornik@suse.com
- Use absolute path in bootloader service
- Update to version 0.1.1620138994.d7f39a0
* Mon Feb 22 2021 nadvornik@suse.com
- Update install-local-bootloader.service for recent saltboot
- Update to version 0.1.1614159840.ef7cad5
* Fri Jan 29 2021 nadvornik@suse.com
- Use linuxefi only on x86
* Fri Aug 14 2020 oholecek@suse.com
- Set wicked to use plain mac address for computing DHCP DUID
  (bsc#1173268)
* Thu Jul 23 2020 oholecek@suse.com
- Add plymouth-plugin-label-ft package to all *7 templates and set
  them to be of SLE15SP2 version
- Add optional dracut-wireless comment section and move wpa_suplicant
  there
- Update to version 0.1.1595937550.0285244
* Mon Mar 30 2020 nadvornik@suse.com
- Enable Secure Boot by default
- Update to version 0.1.1585755274.cacc6dc
* Fri Jan 24 2020 oholecek@suse.com
- Add xfsprogs to the image description to make XFS available
- Update to version 0.1.1580471316.1839544
* Mon Dec  2 2019 nadvornik@suse.com
- Enable install-local-bootloader.service (bsc#1158032)
- Update to version 0.1.1579102150.4716559
* Tue Oct 22 2019 nadvornik@suse.com
- Comment out plymouth-plugin-label-ft which is not
  available on SLE15 SP1
- Update to version 0.1.1573133286.06608d5
* Fri Aug 30 2019 nadvornik@suse.com
- New package
